%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%define upstream_name openstack-ec2api

Name:                   puppet-ec2api
Version:                12.4.0
Release:                1%{?dist}
Summary:                Puppet module for OpenStack EC2 API Service
License:                ASL 2.0

URL:                    https://launchpad.net/puppet-ec2api

Source0:                https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=12.4.0
Patch0001: 0001-Configure-metadata_proxy_shared_secret-as-secret.patch
Patch0002: 0002-Add-openstack-db-tag-to-db-sync-Exec-resource.patch
Patch0003: 0003-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch

BuildArch:              noarch

Requires:               puppet-inifile
Requires:               puppet-keystone
Requires:               puppet-stdlib
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet >= 4.0.0

%description
Installs and configures OpenStack EC2 API Service.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ec2api/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ec2api/



%files
%{_datadir}/openstack-puppet/modules/ec2api/


%changelog
* Tue Oct 16 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-2
- Update to 12.4.0
- Update Gemfile to pull spec_helper from stable/queens
- Add 'openstack-db' tag to db-sync Exec resource
- Configure metadata_proxy_shared_secret as secret

